function out=final_result(out1,out2,out3,out4,out5,test_data)  
    [m,n]=size(test_data);
    test_data(m+1,1)=round_val(m+1,1);
    test_data(m+1,2)=out1;
    test_data(m+1,3)=out2;
    test_data(m+1,4)=out3;
    test_data(m+1,5)=out4;
    test_data(m+1,6)=out5;
    out=test_data;
    
end